OK
- Query tracking status by tracking no (with UTC offset)
ShipSaving New API (v2)
Request
Indicates the current location or state of a package within the supply chain (e.g., in_transit, out for delivery). Use the tracking status object to monitor shipment progress. In test mode, this API will return fixed mock data to facilitate testing and integration validation.
- Production serverhttps://x-api.shipsaving.com/api/shipment/tracking_by_platform_uk_id
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://x-api.shipsaving.com/api/shipment/tracking_by_platform_uk_id?platform_uk_id=platformUkId175377917713' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "code": "ok", "msg": "ok", "data": { "scanned_time": "2025-08-26T22:37:27Z", "status": "in_transit", "message": "USPS in possession of item", "location": { … }, "return_to_sender": true, "first_scan_date": "2025-11-14T14:07:33Z", "first_scan_description": "Package is in transit to a UPS facility", "first_scan_location": { … }, "tracking_events": [ … ] } }
Request
Retrieves the shipment’s tracking status, event history, estimated delivery date, and associated origin/destination location details as reported by the carrier.
- Production serverhttps://x-api.shipsaving.com/api/shipment/tracking_by_tracking_no
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://x-api.shipsaving.com/api/shipment/tracking_by_tracking_no?tracking_no=9234690381085700XXXXX&carrier_code=USPS' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "code": "ok", "msg": "ok", "data": { "status": "in_transit", "message": "USPS in possession of item", "estimate_delivery_date": "2025-08-26 22:37:27", "original_tracking_location": { … }, "destination_tracking_location": { … }, "first_scan_date": "2025-11-14T14:07:33Z", "first_scan_description": "Package is in transit to a UPS facility", "first_scan_location": { … }, "scanned_time": "2025-11-14T14:07:33Z", "location": { … }, "tracking_events": [ … ] } }
Request
Retrieves the current shipment tracking event, first scan tracking event, and the complete tracking event history as reported by the carrier.
Compared to /api/shipment/tracking_by_tracking_no, this endpoint returns all tracking event timestamps in ISO 8601 format with the UTC offset included, allowing clients to accurately interpret local event times across different time zones.
- Production serverhttps://x-api.shipsaving.com/api/shipment/direct/tracking_by_tracking_no
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://x-api.shipsaving.com/api/shipment/direct/tracking_by_tracking_no?tracking_no=940013620842281000000&carrier_code=USPS' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "code": "ok", "msg": "ok", "data": { "status": "in_transit", "message": "USPS in possession of item", "scanned_time": "2025-12-16T10:48:28-05:00", "location": { … }, "return_to_sender": true, "first_scan_date": "2025-11-14T14:07:33-05:00", "first_scan_description": "Package is in transit to a UPS facility", "first_scan_location": { … }, "tracking_events": [ … ] } }